// ======================================================================
// burn_wood 
// ======================================================================
textures/toxic_facility_wood/burn_wood
{
	qer_editorimage textures/toxic_facility_wood/burn_flr_m01a.tga
	surfaceparm pointlight
	surfaceparm woodsteps
	{
		map textures/toxic_facility_wood/ember1a.tga
		rgbGen wave sin 1 0.5 0 0.5
		tcmod rotate 3
	}
	{
		map textures/toxic_facility_wood/burn_flr_m01a.tga
		blendfunc blend
		rgbGen vertex
	}
}

// ======================================================================
// barrel
// ======================================================================
models/mapobjects/hd_barrels/blue
{
    surfaceparm alphashadow
   {
    map models/mapobjects/hd_barrels/blue.tga          
	rgbGen vertex
   }
}

models/mapobjects/hd_barrels/green
{
    surfaceparm alphashadow
   {
    map models/mapobjects/hd_barrels/green.tga          
	rgbGen vertex
   }
}

models/mapobjects/hd_barrels/yellow
{
    surfaceparm alphashadow
   {
    map models/mapobjects/hd_barrels/yellow.tga          
	rgbGen vertex
   }
}
// ======================================================================
// skel
// ======================================================================
models/mapobjects/skel/skel
{
    cull disable
    surfaceparm alphashadow
        {
                map models/mapobjects/skel/skel.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
}

// ======================================================================
// metal flor
// ======================================================================
textures/toxic_facility_floor/floor_floor1a
{
	qer_editorimage textures/toxic_facility_floor/floor_floor1a.tga
	nopicmip
	surfaceparm metalsteps
	{
		map textures/toxic_facility_floor/floor_floor1a.tga
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendfunc filter
	}
}
// ======================================================================
// glass
// ======================================================================

textures/toxic_facility_glass/glass2
{
	qer_editorimage textures/toxic_facility_glass/glass2.tga
	qer_trans 0.40
    surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodlight
    surfaceparm trans
    cull disable
	{
        map textures/toxic_facility_glass/glass2_env.tga
		blendFunc gl_dst_color gl_one
		tcGen environment
	}
        {
        map textures/toxic_facility_glass/glass2.tga
		blendfunc filter
        }
        {
        map $lightmap
        blendFunc gl_dst_color gl_one
        }
}

textures/toxic_facility_glass/WindowsBacklit
{
	qer_editorimage textures/toxic_facility_glass/WindowsBacklit.tga
	surfaceparm trans
	cull twosided
	nopicmip
	{
		map textures/toxic_facility_glass/WindowsBacklit.tga
		blendfunc filter
		rgbGen identity
		alphaFunc GT0
	}
}

textures/toxic_facility_glass/crystal4env
{
	qer_editorimage textures/toxic_facility_glass/crystal4env.tga
	surfaceparm trans
	qer_trans 0.75
	{
		map textures/toxic_facility_glass/crystal4env.tga
		blendfunc filter
		rgbGen identity
		alphaFunc GT0
	}
}

textures/toxic_facility_glass/crystal3env
{
	qer_editorimage textures/toxic_facility_glass/crystal3env.tga
	surfaceparm trans
	qer_trans 0.75
	{
		map textures/toxic_facility_glass/crystal3env.tga
		blendfunc filter
		rgbGen identity
		alphaFunc GT0
	}
}

// ======================================================================
// lights
// ======================================================================
textures/toxic_facility_lights/c_flame1
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 10
	qer_editorimage textures/toxic_facility_lights/c_flame1.tga
	{
		animMap 3 textures/toxic_facility_lights/c_flame1.tga textures/toxic_facility_lights/c_flame2.tga textures/toxic_facility_lights/c_flame3.tga textures/toxic_facility_lights/c_flame2.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
	}	
	{
		animMap 3 textures/toxic_facility_lights/c_flame2.tga textures/toxic_facility_lights/c_flame3.tga textures/toxic_facility_lights/c_flame2.tga textures/toxic_facility_lights/c_flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	
	{
		map textures/toxic_facility_lights/c_flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}
}

textures/toxic_facility_lights/flame
{
	qer_editorimage textures/toxic_facility_lights/flame1.tga
	q3map_surfacelight 1482
	cull none
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans
	{
		animMap 10 textures/toxic_facility_lights/flame1.tga textures/toxic_facility_lights/flame2.tga textures/toxic_facility_lights/flame3.tga textures/toxic_facility_lights/flame4.tga textures/toxic_facility_lights/flame5.tga textures/toxic_facility_lights/flame6.tga textures/toxic_facility_lights/flame7.tga textures/toxic_facility_lights/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
	}
	{
		animMap 10 textures/toxic_facility_lights/flame2.tga textures/toxic_facility_lights/flame3.tga textures/toxic_facility_lights/flame4.tga textures/toxic_facility_lights/flame5.tga textures/toxic_facility_lights/flame6.tga textures/toxic_facility_lights/flame7.tga textures/toxic_facility_lights/flame8.tga textures/toxic_facility_lights/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}
	{
		map textures/toxic_facility_lights/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6
	}
}

textures/toxic_facility_lights/light_tp_m06
{
	q3map_lightimage textures/toxic_facility_lights/light_tp_m06.tga
	qer_editorimage textures/toxic_facility_lights/light_tp_m06.tga
	q3map_backsplash 100 8
	surfaceparm nomarks
	q3map_surfacelight 200
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/toxic_facility_lights/light_tp_m06.tga
		blendFunc filter
		rgbGen identity
	}
        {
		map textures/toxic_facility_lights/light_tp_m06.tga
		blendFunc add
	}	
}
textures/toxic_facility_lights/light_tp_m07
{
	q3map_lightimage textures/toxic_facility_lights/light_tp_m07.tga
	qer_editorimage textures/toxic_facility_lights/light_tp_m07.tga
	q3map_backsplash 100 8
	surfaceparm nomarks
	q3map_surfacelight 200
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/toxic_facility_lights/light_tp_m07.tga
		blendFunc filter
		rgbGen identity
	}
        {
		map textures/toxic_facility_lights/light_tp_m07.tga
		blendFunc add
	}	
}

textures/toxic_facility_lights/lamp_30k
{
    qer_editorimage textures/toxic_facility_lights/whitelight.tga
    surfaceparm nomarks
	q3map_lightSubdivide 32
    q3map_surfacelight 30000
    {
    map textures/toxic_facility_lights/whitelight.tga
    rgbGen identity
    }
    {
        map $lightmap 
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        rgbGen identity
    }
}

textures/toxic_facility_lights/whitelight_7k
{
    qer_editorimage textures/toxic_facility_lights/whitelight.tga
    surfaceparm nomarks
	q3map_lightSubdivide 32
    q3map_surfacelight 7000
    {
    map textures/toxic_facility_lights/whitelight.tga
    rgbGen identity
    }
    {
        map $lightmap 
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        rgbGen identity
    }
}

textures/toxic_facility_lights/redlight_7k
{
    qer_editorimage textures/toxic_facility_lights/redlight.tga
    surfaceparm nomarks
	q3map_lightSubdivide 32
    q3map_surfacelight 7000
    {
    map textures/toxic_facility_lights/redlight.tga
    rgbGen identity
    }
    {
        map $lightmap 
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        rgbGen identity
    }
}

textures/toxic_facility_lights/redlight_300
{
    qer_editorimage textures/toxic_facility_lights/redlight.tga
    surfaceparm nomarks
	q3map_lightSubdivide 32
    q3map_surfacelight 300
    {
    map textures/toxic_facility_lights/redlight.tga
    rgbGen identity
    }
    {
        map $lightmap 
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        rgbGen identity
    }
}

textures/toxic_facility_lights/flare3
{
    nopicmip
    cull disable
    deformVertexes autosprite
   {
    clampmap textures/toxic_facility_lights/flare3.tga
    blendfunc add
    rgbGen wave noise 0.5 1 0 15
    tcMod rotate 4
    tcMod stretch sin 0.8 0.3 0 1
  }
}

textures/toxic_facility_lights/wide
{
	qer_editorimage textures/toxic_facility_lights/wide.tga
    surfaceparm trans	
    surfaceparm nomarks	
    surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	nopicmip
	{
	map textures/toxic_facility_lights/wide.tga
    blendFunc add
 }   
}
// ======================================================================
// skybox
// ======================================================================

textures/toxic_facility_skybox/darkness_sky
{
	qer_editorimage textures/toxic_facility_skybox/editor.tga
	skyParms textures/toxic_facility_skybox/darkness_sky 2048 -
	q3map_noFog
    surfaceparm sky               //flags compiler that this is sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	nopicmip
	
        q3map_sunExt 0.68 0.68 0.90 10 250 50 0 32 // Red-0.68 Green-0.68 Blue-0.90/light-50/light Angle-250/angle of incidence-50/Strength of the shadow blur-0/Amount of washes shadows-32
        q3map_lightmapFilterRadius 0 16
        q3map_skylight 0 6                       // 0 light amount/6 iterations
	{
	}
}

textures/toxic_facility_skybox2/darkness_sky
{
	qer_editorimage textures/toxic_facility_skybox2/editor.tga
	skyParms textures/toxic_facility_skybox2/darkness_sky - -
	q3map_noFog
    surfaceparm sky               //flags compiler that this is sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	nopicmip
	
        q3map_sunExt 0.68 0.68 0.90 10 250 50 0 32 // R G B Intensity Angle Pitch
        q3map_lightmapFilterRadius 0 16
        q3map_skylight 0 6                    //amount iterations
	{
		map textures/toxic_facility_skybox2/clouds.tga
		blendFunc filter
		tcMod scroll 0.005 0.005
		tcMod scale 2 2
	}
}

// ======================================================================
// Vending_Machine
// ======================================================================


textures/toxic_facility_Vending_Machine/Vending_Machine4
{
	q3map_lightimage textures/toxic_facility_Vending_Machine/Vending_Machine4.tga
	qer_editorimage textures/toxic_facility_Vending_Machine/Vending_Machine4.tga
	q3map_backsplash 50 8
	surfaceparm nomarks
	q3map_surfacelight 50
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/toxic_facility_Vending_Machine/Vending_Machine4.tga
		rgbGen identity
	}	
}
textures/toxic_facility_Vending_Machine/Vending_Machine5
{
	q3map_lightimage textures/toxic_facility_Vending_Machine/Vending_Machine5.tga
	qer_editorimage textures/toxic_facility_Vending_Machine/Vending_Machine5.tga
	q3map_backsplash 50 8
	surfaceparm nomarks
	q3map_surfacelight 100
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/toxic_facility_Vending_Machine/Vending_Machine5.tga
		rgbGen identity
	}	
}

textures/toxic_facility_Vending_Machine/Vending_Machine6
{
	q3map_lightimage textures/toxic_facility_Vending_Machine/Vending_Machine6.tga
	qer_editorimage textures/toxic_facility_Vending_Machine/Vending_Machine6.tga
	q3map_backsplash 50 8
	surfaceparm nomarks
	q3map_surfacelight 100
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/toxic_facility_Vending_Machine/Vending_Machine6.tga
		rgbGen identity
	}	
}

// ======================================================================
// misc
// ======================================================================

textures/toxic_facility_misc/fan_shadow_200
{
	    qer_editorimage textures/toxic_facility_misc/fan_shadow_200.tga
        surfaceparm nolightmap
        surfaceparm trans	
        surfaceparm nomarks	
	    cull none
        nopicmip
	{
		clampmap textures/toxic_facility_misc/fan_shadow.tga
		tcMod rotate 200
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
		rgbGen exactVertex
        depthWrite
		//rgbGen identity - hole black - rgbGen exactVertex - trans
	}
}

textures/toxic_facility_misc/fan_shadow_80
{
	    qer_editorimage textures/toxic_facility_misc/fan_shadow_80.tga
        surfaceparm nolightmap
        surfaceparm trans	
        surfaceparm nomarks	
	    cull none
        nopicmip
	{
		clampmap textures/toxic_facility_misc/fan_shadow.tga
		tcMod rotate 80
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
		rgbGen exactVertex
        depthWrite
		//rgbGen identity - hole black - rgbGen exactVertex - trans
	}
}

textures/toxic_facility_misc/dust_1
{
	qer_editorimage textures/toxic_facility_misc/dust.tga
	qer_trans 0.50
    cull disable
    surfaceparm trans	
    surfaceparm nomarks	
    surfaceparm nonsolid
	surfaceparm nolightmap
	{
		map textures/toxic_facility_misc/dust.tga
		tcmod scroll 0 -0.015
		blendFunc blend
		rgbGen wave sin 1 .05 0 .4
	}
	{
		map textures/toxic_facility_misc/dust.tga
        tcmod scroll 0.015 0.02
		blendFunc blend
		rgbGen wave sin 0.3 .04 0 .5
	}
}

textures/toxic_facility_misc/number_panel
{
	qer_editorimage textures/toxic_facility_misc/number_panel.tga
    q3map_surfacelight 200
	{
		map textures/toxic_facility_misc/number_panel.tga
	    rgbGen identity
	}
	{
		map textures/toxic_facility_misc/noise_green.jpg
		blendfunc add
	    rgbGen identity
		tcmod scroll 0 10
	}
}

textures/toxic_facility_misc/pipecap1
{		
    polygonOffset 
	cull none
	{
		map textures/toxic_facility_misc/pipecap1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

textures/toxic_facility_misc/generator1
{
	qer_editorimage textures/toxic_facility_misc/generator1.jpg
	q3map_lightimage textures/toxic_facility_misc/generator1.jpg
    q3map_surfacelight 200
	{
	animMap 0.3 textures/toxic_facility_misc/generator1.jpg textures/toxic_facility_misc/generator11.jpg
	rgbGen identity
	}
	{
	map textures/toxic_facility_misc/noise_green.jpg
	blendfunc add
	rgbGen identity
	tcmod scroll 0 10
	}
	{
	map $lightmap
    blendFunc GL_DST_COLOR GL_ONE_MINUS_SRC_ALPHA
    rgbGen identity
	}
}

textures/toxic_facility_misc/generator2
{
	qer_editorimage textures/toxic_facility_misc/generator2.jpg
	q3map_lightimage textures/toxic_facility_misc/generator2.jpg
    q3map_surfacelight 200


	{
		animMap 0.3 textures/toxic_facility_misc/generator2.jpg textures/toxic_facility_misc/generator22.jpg
	    rgbGen identity
	}
	{
		map textures/toxic_facility_misc/noise_green.jpg
		blendfunc add
	        rgbGen identity
		tcmod scroll 0 10
	}
	{
		map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
}

textures/toxic_facility_misc/time_vortex
{
	qer_editorimage textures/toxic_facility_misc/time_vortex.jpg
	q3map_lightimage textures/toxic_facility_misc/time_vortex.jpg
    q3map_surfacelight 200
	{
		animMap 2 textures/toxic_facility_misc/time_vortex.jpg textures/toxic_facility_misc/time_vortex2.jpg
	        rgbGen identity
	}
	{
		map textures/toxic_facility_misc/noise_green.jpg
		blendfunc add
	    rgbGen identity
		tcmod scroll 0 10
	}
	{
		map $lightmap
	    tcGen environment
	    blendfunc gl_dst_color gl_one
	}
	{
		map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
}


textures/toxic_facility_misc/process
{
	qer_editorimage textures/toxic_facility_misc/process.tga
	q3map_lightimage textures/toxic_facility_misc/process.tga
	q3map_surfacelight 200
	surfaceparm nomarks
	nopicmip		
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/toxic_facility_misc/process.tga
		tcMod scroll 0 0.2
		rgbGen identity

    }
	{
		map textures/toxic_facility_misc/noise_green.jpg
		blendfunc add
	    rgbGen identity
		tcmod scroll 0 10
	}
}

textures/toxic_facility_misc/power_panel
{
	qer_editorimage textures/toxic_facility_misc/power_panel.tga
	q3map_surfacelight 200			
	{
		map textures/toxic_facility_misc/power_panel.tga
	    rgbGen identity
	}
	{
		map textures/toxic_facility_misc/noise_green.jpg
		blendfunc add
	    rgbGen identity
		tcmod scroll 0 10
	}
}


textures/toxic_facility_misc/grunge_9
{
	nopicmip
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset  
	{
		map textures/toxic_facility_misc/grunge_9.tga
		blendFunc add
    }
}

textures/toxic_facility_misc/splatter01
{
	nopicmip
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset 
	{
		map textures/toxic_facility_misc/splatter01.tga
		blendFunc add
    }
}

textures/toxic_facility_misc/splatter02
{
	nopicmip
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset 
	{
		map textures/toxic_facility_misc/splatter02.tga
		blendFunc add
    }
}

textures/toxic_facility_misc/icicles
{		
	surfaceparm alphashadow
	cull none
	{
		map textures/toxic_facility_misc/icicles.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}
// ======================================================================
// teleporter swirl
// ======================================================================

textures/toxic_facility_teleporter/time_vortex_swirl
{
	qer_editorimage textures/toxic_facility_teleporter/xtele_swirl1.tga
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	{
	clampMap textures/toxic_facility_teleporter/xtele_swirl1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen wave sin 0.6 0.05 0 0.25
		tcMod stretch sin 0.95 0.05 0 0.01
		tcMod rotate 200
		alphagen portal 512
     }
	{
     clampMap textures/toxic_facility_teleporter/xtele_swirl4.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen wave sin 0.6 0.05 0 0.25
		tcMod stretch sin 0.95 0.05 0 0.01
		tcMod rotate 200
		alphagen portal 512
	}
}

textures/toxic_facility_teleporter/teleporter_swirl
{
	qer_editorimage textures/toxic_facility_teleporter/xtele_swirl1_noalpha.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	nopicmip
	{
	clampMap textures/toxic_facility_teleporter/xtele_swirl1_noalpha.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen wave sin 0.6 0.05 0 0.25
		tcMod stretch sin 0.95 0.05 0 0.01
		tcMod rotate 200
     }
	{
     clampMap textures/toxic_facility_teleporter/xtele_swirl4.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen wave sin 0.6 0.05 0 0.25
		tcMod stretch sin 0.95 0.05 0 0.01
		tcMod rotate 200
	}
}

textures/toxic_facility_banner/teleporter_blue
{
    qer_editorimage textures/toxic_facility_banner/quadmap2.tga
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull twosided
	{
		map textures/toxic_facility_banner/quadmap2.tga
		tcGen environment
		blendfunc add
		tcMod turb 0 0.25 0 0.5
	}
}

textures/toxic_facility_teleporter/teleporter_swirl_blue
{
	qer_editorimage textures/toxic_facility_teleporter/swirl_b1.tga
	deformvertexes wave 100 sin 1 2 .1 1
	q3map_surfacelight	300
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		clampmap textures/toxic_facility_teleporter/swirl_b1.tga
		blendfunc add
		tcmod rotate -188
	}
	{
		clampmap textures/toxic_facility_teleporter/swirl_b2.tga
		blendfunc add
		tcmod rotate 333
	}
}

// ======================================================================
// banner
// ======================================================================

textures/toxic_facility_banner/banner
{

     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
     deformVertexes wave 1 sin 0 0.5 0 0.1
        {
        map textures/toxic_facility_banner/banner.tga
		alphaFunc GE128
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
		depthFunc equal
	}
}

textures/toxic_facility_banner/blueflag
{
     deformVertexes wave 1 sin 0 0.5 0 0.1

     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
    {
		map textures/toxic_facility_banner/blueflag.tga
		rgbGen identity
	} 
	{
		map textures/toxic_facility_banner/quadmap2.tga
        tcGen environment
        tcmod scale 9 3
        tcmod scroll .001 .007
        blendFunc GL_ONE GL_ONE
        rgbGen identity
	}
    {
		map textures/toxic_facility_banner/blueflag.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
    {
		map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
    {
        map textures/toxic_facility_banner/shadow.tga
        tcGen environment           
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
	}
}

textures/toxic_facility_banner/logo512
{
	qer_editorimage textures/toxic_facility_banner/logo512.jpg
	surfaceparm nonsolid
	nopicmip
	{
		map textures/toxic_facility_banner/logo512.jpg
		rgbGen wave triangle 0.44 0.12 0 0.8
	}
	{
		map textures/toxic_facility_banner/logo512.jpg
		rgbGen wave triangle 0.05 0.05 1 2.2
		blendfunc add
		tcmod scale 0.98 0.98
	}
	{
		map textures/toxic_facility_banner/adbrightoverlay.tga
		rgbGen Wave sin .12 0.05 0 2
		tcmod scroll 1 0.2
		blendfunc add
	}
	{
		map textures/toxic_facility_misc/noise_green.tga
		blendfunc add
	    rgbGen Wave sin .13 0 0 0
		tcmod scroll 2 2
	}
	{
		map textures/toxic_facility_electro/zap_scroll2_blue.tga
		blendfunc add
	   	rgbGen Wave sin .05 0.05 0 4
		tcmod scroll 0 1
	}
	{
		map textures/toxic_facility_banner/adbrightglow.tga
		rgbGen Wave sin .17 0.05 0 1.7
		blendfunc add
	}
}

// ======================================================================
// Big Banner
// ======================================================================

textures/toxic_facility_banner/tvscreen
{
	qer_editorimage textures/toxic_facility_banner/tvscreen1.tga
	q3map_lightimage textures/toxic_facility_banner/tvscreen1.tga
	q3map_surfacelight 100
	{
		animMap .15 textures/toxic_facility_banner/tvscreen1.tga textures/toxic_facility_banner/spiderbit_fx.tga textures/toxic_facility_banner/tvscreen2.tga
		rgbGen wave sawtooth 0 1 0 .15
	}
	{
		map textures/toxic_facility_banner/noise_green2.tga
		blendfunc add
		rgbGen wave inversesawtooth 0 1 0 .15
		tcmod scroll 2 2
	}	
	{
		map textures/toxic_facility_banner/monitor.tga
		blendfunc blend
		rgbgen identity
	}	          		
}

// ======================================================================
// electro
// ======================================================================

textures/toxic_facility_electro/Lightning_Comp
{
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 2500
    nopicmip
	qer_editorimage textures/toxic_facility_electro/Lightning_Comp.tga
	{
		animMap 10 textures/toxic_facility_electro/Lightning_Comp.tga textures/toxic_facility_electro/Lightning_Comp1.tga textures/toxic_facility_electro/Lightning_Comp2.tga textures/toxic_facility_electro/Lightning_Comp3.tga textures/toxic_facility_electro/Lightning_Comp4.tga textures/toxic_facility_electro/Lightning_Comp5.tga textures/toxic_facility_electro/Lightning_Comp6.tga textures/toxic_facility_electro/Lightning_Comp7.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10	
	}	
	{
		animMap 10 textures/toxic_facility_electro/Lightning_Comp1.tga textures/toxic_facility_electro/Lightning_Comp2.tga textures/toxic_facility_electro/Lightning_Comp3.tga textures/toxic_facility_electro/Lightning_Comp4.tga textures/toxic_facility_electro/Lightning_Comp5.tga textures/toxic_facility_electro/Lightning_Comp6.tga textures/toxic_facility_electro/Lightning_Comp7.tga textures/toxic_facility_electro/Lightning_Comp.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}
}

textures/toxic_facility_electro/zap_scroll2_green
{
	q3map_surfacelight 1000
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm alphashadow
	cull none
	nopicmip
	{
	    map textures/toxic_facility_electro/zap_scroll2_green.tga
	    blendFunc GL_ONE GL_ONE
        rgbgen wave triangle .8 2 0 7
        tcMod scroll 1.5 0
		alphaGen vertex
	}	
    {
	    map textures/toxic_facility_electro/zap_scroll2_green.tga
		blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1 1.4 0 5
        tcMod scale  -1 1
        tcMod scroll 1.4 0
		alphaGen vertex
	}	
    {
	    map textures/toxic_facility_electro/zap_scroll2_green.tga
		blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1 1.4 0 6.3
        tcMod scale  -1 1
         tcMod scroll 1.6 0
		 alphaGen vertex
	}	
    {
	    map textures/toxic_facility_electro/zap_scroll2_green.tga
		blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1 1.4 0 7.7
        tcMod scroll 1.3 0
		alphaGen vertex
	}	
}
textures/toxic_facility_electro/zap_scroll2_blue
{
	q3map_surfacelight 1000
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm alphashadow
	cull none
	nopicmip
	{
	    map textures/toxic_facility_electro/zap_scroll2_blue.tga
	    blendFunc GL_ONE GL_ONE
        rgbgen wave triangle .8 2 0 7
        tcMod scroll 1.5 0
		alphaGen vertex
	}	
    {
	    map textures/toxic_facility_electro/zap_scroll2_blue.tga
		blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1 1.4 0 5
        tcMod scale  -1 1
        tcMod scroll 1.4 0
		alphaGen vertex
	}	
    {
	    map textures/toxic_facility_electro/zap_scroll2_blue.tga
		blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1 1.4 0 6.3
        tcMod scale  -1 1
         tcMod scroll 1.6 0
		 alphaGen vertex
	}	
    {
	    map textures/toxic_facility_electro/zap_scroll2_blue.tga
		blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1 1.4 0 7.7
        tcMod scroll 1.3 0
		alphaGen vertex
	}	
}
// ======================================================================
// jumpad
// ======================================================================

textures/toxic_facility_jumpad/jumpad03
{
	qer_editorimage textures/toxic_facility_jumpad/jumpad03.tga 
	nopicmip
	{
		map textures/toxic_facility_jumpad/jumpadr.tga
		blendfunc GL_ONE GL_ZERO
		tcmod rotate 130
		rgbGen identity
	}
	{
		map textures/toxic_facility_jumpad/fan01.tga
		blendfunc blend
		tcmod rotate -311
		rgbGen identity
	}
	{
		clampmap textures/toxic_facility_jumpad/jumpadr2.tga
		blendfunc add
		tcmod rotate 130
		tcMod stretch sin 1.2 .8 0 1.4
		rgbGen wave square .5 .5 .25 1.4
	}
	{
		map textures/toxic_facility_jumpad/jumpad03.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/toxic_facility_jumpad/launchpad
{
    qer_editorimage textures/toxic_facility_jumpad/launchpad03.tga 
	nopicmip
	{
		map textures/toxic_facility_jumpad/tread.tga
		blendfunc GL_ONE GL_ZERO
		tcmod scroll 0 .7
		tcmod scale  1 2
		rgbGen identity
	}
	{
		map textures/toxic_facility_jumpad/launch.tga
		blendfunc add
		tcmod scale  1 .5
		tcmod scroll 0 2
		rgbgen wave square 0 1 0 2
		alphagen wave square 0 1 .1 2
	}
	{
		map textures/toxic_facility_jumpad/launchpad03.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
	{
		map textures/toxic_facility_jumpad/launch2.tga
		blendfunc add
		rgbgen wave square 0 1 0 1
		alphagen wave square 0 1 .1 1
    }
}

textures/toxic_facility_jumpad/wall_jump
{
	qer_editorimage textures/toxic_facility_jumpad/wall_jump.tga
	{
		map textures/toxic_facility_jumpad/launch.tga
		rgbGen identity
		tcmod scale 1 .5
		tcmod scroll 0 1.42
	}
	{
		map textures/toxic_facility_jumpad/wall_jump.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}	
}

// ======================================================================
// techfloor
// ======================================================================

textures/toxic_facility_techfloor/techfloor_kc
{    
    surfaceparm	metalsteps
	surfaceparm alphashadow
	surfaceparm	nomarks
	polygonOffset 
	sort 6	 
    qer_editorimage textures/toxic_facility_techfloor/techfloor_kc.tga
	nopicmip
    {
		clampmap textures/toxic_facility_techfloor/zzztgreen_kc.tga
        alphaFunc GE128
		tcmod rotate 360
		rgbgen wave sin .8 .2 0 2
		depthWrite
	}
    {
        clampmap textures/toxic_facility_techfloor/techfloor2_kc.tga
		blendfunc blend
        tcmod rotate 180
		depthFunc equal
        tcMod stretch sin .8 0.1 0 .4
	    rgbGen identity
	}  
	{
		map textures/toxic_facility_techfloor/techfloor_kc.tga
        blendfunc blend
		depthFunc equal
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		depthFunc equal
		rgbgen identity
	}
	{
	    map textures/toxic_facility_techfloor/techfloor_kc_shadow.tga
        blendfunc filter
	    rgbGen identity
	}
}

// ======================================================================
// slime
// ======================================================================
textures/toxic_facility_liquids/slime
{
	qer_editorimage textures/toxic_facility_liquids/slime.tga
	q3map_globaltexture
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm water
	surfaceparm nolightmap
	q3map_surfacelight 100
	tesssize 512
	cull disable
    nopicmip
	{
		map textures/toxic_facility_liquids/slime.tga
		tcMod turb 0 .1 0 .1
	}
	
}

textures/toxic_facility_liquids/slime_pipe
{
	qer_editorimage textures/toxic_facility_liquids/slime.tga
    nopicmip
	surfaceparm nomarks
	surfaceparm playerclip
	{
		map textures/toxic_facility_liquids/slime.tga
		rgbGen identity
		tcMod scroll -0.01 -0.20
	}
	{
		map textures/toxic_facility_glass/glass2_env.tga
		blendFunc gl_dst_color gl_one
		tcGen environment
	}
    {
        map textures/toxic_facility_glass/glass2.tga
		blendfunc filter
    }
    {
        map $lightmap
        blendFunc gl_dst_color gl_one
    }
}

textures/toxic_facility_liquids/slime_exit_pipe
{
	qer_editorimage textures/toxic_facility_liquids/slime.tga
	surfaceparm nomarks
	surfaceparm playerclip
    deformVertexes wave 25 sin 0 1 0 1.5 
    cull disable
	{
		map textures/toxic_facility_liquids/slime.tga
		rgbGen identity
		tcMod scroll -0.01 -0.40
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}

textures/toxic_facility_liquids/water_03
	{
		qer_trans .5
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		cull disable
		deformVertexes wave 64 sin .5 .5 0 .5	
		{ 
			map textures/toxic_facility_liquids/water_03.tga
			blendFunc GL_dst_color GL_one
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.15 .030
		}
		{ 
			map textures/toxic_facility_liquids/water_03.tga
			blendFunc GL_dst_color GL_one
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.15 .030				
		}
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero	
		}
}

// ======================================================================
// Fence
// =====================================================================

textures/toxic_facility_metal/Fence
{
	qer_editorimage textures/toxic_facility_metal/Fence.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm metalsteps
	cull none
    nopicmip
	{
		map textures/toxic_facility_metal/Fence.tga
		blendfunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
		depthFunc equal
	}
}

textures/toxic_facility_metal/barbed_wire
{
	surfaceparm alphashadow
	surfaceparm trans
    surfaceparm playerclip
    surfaceparm nomarks
	cull disable
	{
		map textures/toxic_facility_metal/barbed_wire.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

// ======================================================================
// terrain
// ======================================================================
// one single terrain
textures/toxic_facility_terrain/sand_wave_desert
{
    surfaceparm gravelsteps
	q3map_lightmapsamplesize 64
	q3map_lightmapaxis z
	q3map_texturesize 128 128
    q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
    q3map_nonplanar
	q3map_shadeAngle 160
	q3map_lightmapmergable
	{
		map textures/toxic_facility_terrain/sand_wave_desert.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}